{
  "getAllPSAppDEACModes" : [ {
    "codeName" : "Default",
    "logicName" : "DEFAULT",
    "name" : "DEFAULT",
    "getPSDEACModeDataItems" : [ {
      "dataType" : 25,
      "name" : "value",
      "getPSAppDEField" : {
        "name" : "MICROCOMPONENTID",
        "codeName" : "MicroComponentId"
      }
    }, {
      "dataType" : 25,
      "name" : "text",
      "getPSAppDEField" : {
        "name" : "MICROCOMPONENTNAME",
        "codeName" : "MicroComponentName"
      }
    } ],
    "pagingSize" : 50,
    "getTextPSAppDEField" : {
      "name" : "MICROCOMPONENTNAME",
      "codeName" : "MicroComponentName"
    },
    "getValuePSAppDEField" : {
      "name" : "MICROCOMPONENTID",
      "codeName" : "MicroComponentId"
    },
    "defaultMode" : true,
    "enablePagingBar" : false
  } ],
  "getAllPSAppDEActions" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "MICROCOMPONENTID",
        "codeName" : "MicroComponentId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "requestField" : "MICROCOMPONENTID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "MICROCOMPONENTID",
        "codeName" : "MicroComponentId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "requestField" : "MICROCOMPONENTID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  } ],
  "getAllPSAppDEDataSets" : [ {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "PAGE"
    },
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEFields" : [ {
    "codeName" : "CreateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEDATE"
    },
    "logicName" : "建立时间",
    "name" : "CREATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "codeName" : "CreateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEMAN"
    },
    "logicName" : "建立人",
    "name" : "CREATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "codeName" : "MicroComponentName",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.MICROCOMPONENTNAME"
    },
    "logicName" : "微组件名称",
    "name" : "MICROCOMPONENTNAME",
    "stdDataType" : 25,
    "stringLength" : 200,
    "enableQuickSearch" : true,
    "majorField" : true
  }, {
    "codeName" : "MicroComponentId",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.MICROCOMPONENTID"
    },
    "logicName" : "微组件标识",
    "name" : "MICROCOMPONENTID",
    "stdDataType" : 25,
    "stringLength" : 100,
    "keyField" : true
  }, {
    "codeName" : "UpdateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEDATE"
    },
    "logicName" : "更新时间",
    "name" : "UPDATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "codeName" : "UpdateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEMAN"
    },
    "logicName" : "更新人",
    "name" : "UPDATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "codeName" : "Field",
    "logicName" : "属性",
    "name" : "FIELD",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field2",
    "logicName" : "属性2",
    "name" : "FIELD2",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field3",
    "logicName" : "属性3",
    "name" : "FIELD3",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field4",
    "logicName" : "属性4",
    "name" : "FIELD4",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field5",
    "logicName" : "属性5",
    "name" : "FIELD5",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field6",
    "logicName" : "属性6",
    "name" : "FIELD6",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field7",
    "logicName" : "属性7",
    "name" : "FIELD7",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field8",
    "logicName" : "属性8",
    "name" : "FIELD8",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field9",
    "logicName" : "属性9",
    "name" : "FIELD9",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field10",
    "logicName" : "属性10",
    "name" : "FIELD10",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field11",
    "logicName" : "属性11",
    "name" : "FIELD11",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field12",
    "logicName" : "属性12",
    "name" : "FIELD12",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field13",
    "logicName" : "属性13",
    "name" : "FIELD13",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field14",
    "logicName" : "属性14",
    "name" : "FIELD14",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field15",
    "logicName" : "属性15",
    "name" : "FIELD15",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field16",
    "logicName" : "属性16",
    "name" : "FIELD16",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field17",
    "logicName" : "属性17",
    "name" : "FIELD17",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field18",
    "logicName" : "属性18",
    "name" : "FIELD18",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field19",
    "logicName" : "属性19",
    "name" : "FIELD19",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field20",
    "logicName" : "属性20",
    "name" : "FIELD20",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field21",
    "logicName" : "属性21",
    "name" : "FIELD21",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field22",
    "logicName" : "属性22",
    "name" : "FIELD22",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field23",
    "logicName" : "属性23",
    "name" : "FIELD23",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field24",
    "logicName" : "属性24",
    "name" : "FIELD24",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field25",
    "logicName" : "属性25",
    "name" : "FIELD25",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field26",
    "logicName" : "属性26",
    "name" : "FIELD26",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field27",
    "logicName" : "属性27",
    "name" : "FIELD27",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field28",
    "logicName" : "属性28",
    "name" : "FIELD28",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field29",
    "logicName" : "属性29",
    "name" : "FIELD29",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field30",
    "logicName" : "属性30",
    "name" : "FIELD30",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field31",
    "logicName" : "属性31",
    "name" : "FIELD31",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field32",
    "logicName" : "属性32",
    "name" : "FIELD32",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field33",
    "logicName" : "属性33",
    "name" : "FIELD33",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field34",
    "logicName" : "属性34",
    "name" : "FIELD34",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field35",
    "logicName" : "属性35",
    "name" : "FIELD35",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field36",
    "logicName" : "属性36",
    "name" : "FIELD36",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field37",
    "logicName" : "属性37",
    "name" : "FIELD37",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field38",
    "logicName" : "属性38",
    "name" : "FIELD38",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field39",
    "logicName" : "属性39",
    "name" : "FIELD39",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "codeName" : "Field40",
    "logicName" : "属性40",
    "name" : "FIELD40",
    "stdDataType" : 25,
    "stringLength" : 100
  } ],
  "getAllPSAppDEMethodDTOs" : [ {
    "codeName" : "MicroComponentDTO",
    "name" : "MicroComponentDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "CreateDate",
      "logicName" : "建立时间",
      "name" : "CreateDate",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "CreateMan",
      "logicName" : "建立人",
      "name" : "CreateMan",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "Field",
      "logicName" : "属性",
      "name" : "Field",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field10",
      "logicName" : "属性10",
      "name" : "Field10",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD10",
        "codeName" : "Field10"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field11",
      "logicName" : "属性11",
      "name" : "Field11",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD11",
        "codeName" : "Field11"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field12",
      "logicName" : "属性12",
      "name" : "Field12",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD12",
        "codeName" : "Field12"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field13",
      "logicName" : "属性13",
      "name" : "Field13",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD13",
        "codeName" : "Field13"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field14",
      "logicName" : "属性14",
      "name" : "Field14",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD14",
        "codeName" : "Field14"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field15",
      "logicName" : "属性15",
      "name" : "Field15",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD15",
        "codeName" : "Field15"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field16",
      "logicName" : "属性16",
      "name" : "Field16",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD16",
        "codeName" : "Field16"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field17",
      "logicName" : "属性17",
      "name" : "Field17",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD17",
        "codeName" : "Field17"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field18",
      "logicName" : "属性18",
      "name" : "Field18",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD18",
        "codeName" : "Field18"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field19",
      "logicName" : "属性19",
      "name" : "Field19",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD19",
        "codeName" : "Field19"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field2",
      "logicName" : "属性2",
      "name" : "Field2",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD2",
        "codeName" : "Field2"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field20",
      "logicName" : "属性20",
      "name" : "Field20",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD20",
        "codeName" : "Field20"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field21",
      "logicName" : "属性21",
      "name" : "Field21",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD21",
        "codeName" : "Field21"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field22",
      "logicName" : "属性22",
      "name" : "Field22",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD22",
        "codeName" : "Field22"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field23",
      "logicName" : "属性23",
      "name" : "Field23",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD23",
        "codeName" : "Field23"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field24",
      "logicName" : "属性24",
      "name" : "Field24",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD24",
        "codeName" : "Field24"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field25",
      "logicName" : "属性25",
      "name" : "Field25",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD25",
        "codeName" : "Field25"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field26",
      "logicName" : "属性26",
      "name" : "Field26",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD26",
        "codeName" : "Field26"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field27",
      "logicName" : "属性27",
      "name" : "Field27",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD27",
        "codeName" : "Field27"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field28",
      "logicName" : "属性28",
      "name" : "Field28",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD28",
        "codeName" : "Field28"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field29",
      "logicName" : "属性29",
      "name" : "Field29",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD29",
        "codeName" : "Field29"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field3",
      "logicName" : "属性3",
      "name" : "Field3",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD3",
        "codeName" : "Field3"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field30",
      "logicName" : "属性30",
      "name" : "Field30",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD30",
        "codeName" : "Field30"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field31",
      "logicName" : "属性31",
      "name" : "Field31",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD31",
        "codeName" : "Field31"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field32",
      "logicName" : "属性32",
      "name" : "Field32",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD32",
        "codeName" : "Field32"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field33",
      "logicName" : "属性33",
      "name" : "Field33",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD33",
        "codeName" : "Field33"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field34",
      "logicName" : "属性34",
      "name" : "Field34",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD34",
        "codeName" : "Field34"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field35",
      "logicName" : "属性35",
      "name" : "Field35",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD35",
        "codeName" : "Field35"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field36",
      "logicName" : "属性36",
      "name" : "Field36",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD36",
        "codeName" : "Field36"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field37",
      "logicName" : "属性37",
      "name" : "Field37",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD37",
        "codeName" : "Field37"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field38",
      "logicName" : "属性38",
      "name" : "Field38",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD38",
        "codeName" : "Field38"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field39",
      "logicName" : "属性39",
      "name" : "Field39",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD39",
        "codeName" : "Field39"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field4",
      "logicName" : "属性4",
      "name" : "Field4",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD4",
        "codeName" : "Field4"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field40",
      "logicName" : "属性40",
      "name" : "Field40",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD40",
        "codeName" : "Field40"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field5",
      "logicName" : "属性5",
      "name" : "Field5",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD5",
        "codeName" : "Field5"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field6",
      "logicName" : "属性6",
      "name" : "Field6",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD6",
        "codeName" : "Field6"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field7",
      "logicName" : "属性7",
      "name" : "Field7",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD7",
        "codeName" : "Field7"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field8",
      "logicName" : "属性8",
      "name" : "Field8",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD8",
        "codeName" : "Field8"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Field9",
      "logicName" : "属性9",
      "name" : "Field9",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "FIELD9",
        "codeName" : "Field9"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "MicroComponentId",
      "logicName" : "微组件标识",
      "name" : "MicroComponentId",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "MICROCOMPONENTID",
        "codeName" : "MicroComponentId"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "MicroComponentName",
      "logicName" : "微组件名称",
      "name" : "MicroComponentName",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "MICROCOMPONENTNAME",
        "codeName" : "MicroComponentName"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UpdateDate",
      "logicName" : "更新时间",
      "name" : "UpdateDate",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "UpdateMan",
      "logicName" : "更新人",
      "name" : "UpdateMan",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    } ],
    "sourceType" : "DE",
    "type" : "DEFAULT"
  }, {
    "codeName" : "MicroComponentFilterDTO",
    "name" : "MicroComponentFilterDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "N_MICROCOMPONENTID_EQ",
      "logicName" : "微组件标识",
      "name" : "N_MICROCOMPONENTID_EQ",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "MICROCOMPONENTID",
        "codeName" : "MicroComponentId"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_MICROCOMPONENTNAME_LIKE",
      "logicName" : "微组件名称",
      "name" : "N_MICROCOMPONENTNAME_LIKE",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "MICROCOMPONENTNAME",
        "codeName" : "MicroComponentName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    } ],
    "sourceType" : "DE",
    "type" : "DEFILTER"
  } ],
  "getAllPSAppDEMethods" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "MICROCOMPONENTID",
        "codeName" : "MicroComponentId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "requestField" : "MICROCOMPONENTID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "MICROCOMPONENTID",
        "codeName" : "MicroComponentId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "requestField" : "MICROCOMPONENTID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "DTO"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "MicroComponentDTO"
      },
      "type" : "PAGE"
    },
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FilterCreate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERCREATE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterFetch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERFETCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGet",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGET",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGetDraft",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGETDRAFT",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterRemove",
    "methodType" : "FILTERACTION",
    "name" : "FILTERREMOVE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterSearch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERSEARCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterUpdate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERUPDATE",
    "builtinMethod" : true
  }, {
    "codeName" : "Select",
    "methodType" : "SELECT",
    "name" : "Select",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "type" : "UNKNOWN"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "UNKNOWN"
    },
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/select",
    "builtinMethod" : false
  } ],
  "getAllPSDEOPPrivs" : [ {
    "logicName" : "建立",
    "name" : "CREATE"
  }, {
    "logicName" : "删除",
    "name" : "DELETE"
  }, {
    "logicName" : "读取",
    "name" : "READ"
  }, {
    "logicName" : "更新",
    "name" : "UPDATE"
  } ],
  "codeName" : "MicroComponent",
  "dEAPITag" : "MICROCOMPONENT",
  "dataAccCtrlArch" : 1,
  "dataAccCtrlMode" : 1,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/MicroComponent.json",
  "enableUIActions" : 15,
  "getKeyPSAppDEField" : {
    "name" : "MICROCOMPONENTID",
    "codeName" : "MicroComponentId"
  },
  "getLNPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.MICROCOMPONENT"
  },
  "logicName" : "微组件",
  "getMajorPSAppDEField" : {
    "name" : "MICROCOMPONENTNAME",
    "codeName" : "MicroComponentName"
  },
  "name" : "MICROCOMPONENT",
  "getPSDEName" : "MICROCOMPONENT",
  "getQuickSearchPSAppDEFields" : [ {
    "name" : "MICROCOMPONENTNAME",
    "codeName" : "MicroComponentName"
  } ],
  "storageMode" : 0,
  "sysAPITag" : "DemoAPI",
  "defaultMode" : true,
  "enableFilterActions" : true,
  "enableUICreate" : true,
  "enableUIModify" : true,
  "enableUIRemove" : true,
  "enableWFActions" : false,
  "major" : true
}